Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jms.extensions
Interface WLDestination

All Superinterfaces:
  Destination

    public interface WLDestination

extends Destination

A WLDestination provides methods that are not supported by javax.jms.Destination.

WLDestination provides methods for the following:

- Determining if a destination is a queue or a topic.

See Also:
  `Destination`, `Queue`, `Topic`

Method Summary
`String` | `getCreateDestinationArgument()` Return a string suitable to use as an argument to Session.createQueue() or Session.createTopic().
`boolean` | `isQueue()` Determine if the destination is a JMS queue.
`boolean` | `isTopic()` Determine if the destination is a JMS topic.

Method Detail

### isQueue

    boolean isQueue()

  Determine if the destination is a JMS queue.

  Returns:
    True if the destination is a JMS queue.
  See Also:
    `Queue`

### isTopic

    boolean isTopic()

  Determine if the destination is a JMS topic.

  Returns:
    True if the destination is a JMS topic.
  See Also:
    `Topic`

### getCreateDestinationArgument

    String getCreateDestinationArgument()
                                        throws JMSException

  Return a string suitable to use as an argument to Session.createQueue() or Session.createTopic().

  The DistributedDestination format for this string may be different from non-DistributedDestination format.

  Throws:
    `JMSException` - if a JMS error occurs
  Since:
    WebLogic Server 9.0.1
  See Also:
    `Session.createQueue(java.lang.String)`, `Session.createTopic(java.lang.String)`, `DestinationBean.getJMSCreateDestinationIdentifier()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD